@font-face {
  font-family: 'Acumin Pro';
  font-weight: 400;
  src: url('../assets/css/Acumin-Pro/acuminpro-medium.otf') format('opentype');
}

@font-face {
  font-family: 'Acumin Pro Wide';
  font-weight: 600;
  src: url('../assets/css/Acumin-Pro-Wide/acuminpro-wide.otf')
    format('opentype');
}

@font-face {
  font-family: 'Acumin Pro Wide';
  font-weight: 600;
  src: url('../assets/css/Acumin-Pro-Wide/acumin-pro-wide.otf')
    format('opentype');
}

*,
html,
body {
  -webkit-font-smoothing: antialiased;
  font-family: 'Acumin Pro', sans-serif;
}

/* Heading */
.font-h1-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 30px;
  line-height: 36px;
  letter-spacing: -0.02em;
}

.font-h1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 30px;
  line-height: 36px;
  letter-spacing: 0.005em;
}

.font-h2-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 28px;
  line-height: 40px;
}

.font-h3 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 24px;
  line-height: 28px;
}

.font-h3-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 21px;
  line-height: 27px;
}

.font-h4-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
}

.font-h4 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
}

.font-h5-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 27px;
}

.font-h5 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-h6-1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
}

.font-h6-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 21px;
  text-transform: capitalize;
}

.font-h6 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-h7 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  letter-spacing: 0.015em;
}

/* Label */
.font-label1-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 16px;
  text-transform: capitalize;
}

.font-label1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;

  &:first-letter {
    text-transform: capitalize;
  }
}

.font-label2 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
}

.font-label2-bold {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 20px;
}

.font-label3 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 15px;
}

.font-label3-tag {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 16px;
  letter-spacing: 0.04em;
  text-transform: uppercase;
  text-decoration: none;
}

/* Paragraph */

.font-paragraph1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0.015em;
}

.font-paragraph2 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-paragraph3 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-paragraph4 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 16px;
}

.font-paragraph5 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 20px;
}

.font-paragraph6 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 12px;
}

/* Button */
.font-button1-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 20px;
  letter-spacing: 0.01em;

  &:first-letter {
    text-transform: capitalize;
  }
}

.font-button1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-button2-table {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12.5px;
  line-height: 20px;
  letter-spacing: 0.01em;
  text-transform: uppercase;
}

.font-button2 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 12px;
}

.font-button3 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 15px;
}

/* Link */
.font-link1 {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 21px;
  line-height: 27px;
  text-decoration-line: underline;
}

.font-link2 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
  text-decoration-line: underline;
}

.font-link2-label {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
}

.font-link3 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 18px;
  letter-spacing: 0.02em;
  text-decoration-line: underline;
}

/* Input */
.font-input1-primary {
  font-family: 'Acumin Pro Wide', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 21px;
}

.font-input1 {
  font-family: 'Acumin Pro', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 21px;
  letter-spacing: 0.015em;
}
